Subject: Re: bug#34481: 27.0.50; cl-flet, cl-labels and lambda expressions

From: Michael Heerdegen <[email-masked]>
Date: Thu, 17 Oct 2019 12:36:50 +0200

Stefan Kangas <[email-masked]> writes:

> Michael Heerdegen <[email-masked]> writes:
>
> >> 1.  `cl-flet's edebug spec only works with one allowed syntax, when all
> >> bindings look like (FUNC ARGLIST BODY...).  The second possible syntax
> >> (FUNC EXP) makes edebug barf, no edebugging possible :-(

> The below patch fixes the problem for me at least.  If no one objects,
> perhaps we could install it?  Or could it make matters worse?

I don't think it could make it worse.  I also think now that it should
be correct.  AFAIU `def-form' doesn't need to be used but I think I
should use `function-form' instead of `form' so that quoted lambdas are
supported as well.

Michael.